org.apache.hadoop.metrics2.sink

## Class GraphiteSink.Graphite

- java.lang.Object
- - org.apache.hadoop.metrics2.sink.GraphiteSink.Graphite

- Enclosing class:
    GraphiteSink

      public static class GraphiteSink.Graphite
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Graphite(String serverHost, int serverPort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `connect()`
    `void` | `flush()`
    `boolean` | `isConnected()`
    `void` | `write(String msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Graphite

          public Graphite(String serverHost,
                          int serverPort)

  - ### Method Detail

    - #### connect

          public void connect()

    - #### write

          public void write(String msg)
                     throws IOException

      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Throws:
        `IOException`

    - #### isConnected

          public boolean isConnected()

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.